#include <stdio.h>
#include <stdlib.h>

int main()
{
    int i,N,K,check=0;
    scanf("%d %d",&N,&K);
    int p[N];
    for(i=0;i<N;i++)
        scanf("%d",&p[i]);
    i=0;
    if(p[N-1]==K)
        printf("%d",p[0]);
    else
    {
        while(check==0)
            if(p[i]==K)
                check=1;
            else
                i++;
            printf("%d",p[i+1]);
    }
}